Package com.scriptel.proscript

## Class DeviceStatus

- java.lang.Object
- - com.scriptel.proscript.DeviceStatus

-     public class DeviceStatus
      extends java.lang.Object

  This class represents output parameters of a ScripTouch device.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getErrorInfo()` | Returns a string explaining the lastError in English
    `int` | `getLastError()` | Returns a code representing the last error that occurred.
    `int` | `getReserved1()` | Returns an undefined status for future use
    `int` | `getReserved2()` | Returns an undefined status for future use
    `boolean` | `isAllOutputCommandsLocked()` | Are all command outputs locked?
    `boolean` | `isCalibrating()` | Is the device currently being calibrated?
    `boolean` | `isCalibrationCommandsLocked()` | Are calibration commands locked out?
    `boolean` | `isCalibrationRequired()` | Is calibration required?
    `boolean` | `isDisplayCommandsLocked()` | Are display commands locked out?
    `boolean` | `isIdle()` | Is the device currently idling (in command mode)?
    `boolean` | `isInitializing()` | Is the device currently initializing?
    `boolean` | `isOperatingModeCommandsLocked()` | Are operating mode commands locked?
    `boolean` | `isRegionCommandsLocked()` | Are regions commands locked?
    `boolean` | `isScreenCommandsLocked()` | Are screen commands locked?
    `java.lang.String` | `toString()` | Prints this object as a human readable string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Prints this object as a human readable string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Human readable string.

    - #### isInitializing

          public boolean isInitializing()

      Is the device currently initializing?
      Returns:
        state

    - #### isIdle

          public boolean isIdle()

      Is the device currently idling (in command mode)?
      Returns:
        state

    - #### isCalibrating

          public boolean isCalibrating()

      Is the device currently being calibrated?
      Returns:
        state

    - #### isCalibrationRequired

          public boolean isCalibrationRequired()

      Is calibration required?
      Returns:
        state

    - #### isAllOutputCommandsLocked

          public boolean isAllOutputCommandsLocked()

      Are all command outputs locked?
      Returns:
        state

    - #### isOperatingModeCommandsLocked

          public boolean isOperatingModeCommandsLocked()

      Are operating mode commands locked?
      Returns:
        state

    - #### isRegionCommandsLocked

          public boolean isRegionCommandsLocked()

      Are regions commands locked?
      Returns:
        state

    - #### isScreenCommandsLocked

          public boolean isScreenCommandsLocked()

      Are screen commands locked?
      Returns:
        state

    - #### isDisplayCommandsLocked

          public boolean isDisplayCommandsLocked()

      Are display commands locked out?
      Returns:
        state

    - #### isCalibrationCommandsLocked

          public boolean isCalibrationCommandsLocked()

      Are calibration commands locked out?
      Returns:
        state

    - #### getReserved1

          public int getReserved1()

      Returns an undefined status for future use
      Returns:
        status

    - #### getReserved2

          public int getReserved2()

      Returns an undefined status for future use
      Returns:
        status

    - #### getLastError

          public int getLastError()

      Returns a code representing the last error that occurred. Does not survive a power cycle. Error codes TBD. 0 = no error
      Returns:
        error state

    - #### getErrorInfo

          public java.lang.String getErrorInfo()

      Returns a string explaining the lastError in English
      Returns:
        error explanation